/**
 * Theme Name:     Divi Child
 * Author:         Elegant Themes
 * Template:       Divi
 * Text Domain:	   divi-child
 * Description:    Smart. Flexible. Beautiful. Divi is the most powerful theme in our collection.
 */

/* Make selected text gold on a red background */
::selection {
  color: #242021;
  background-color:  #fec424;
}

::-webkit-input-placeholder { /* Chrome */
  color: #000;
	opacity: 1;
}
:-ms-input-placeholder { /* IE 10+ */
   color: #000;
	opacity: 1;
}
::-moz-placeholder { /* Firefox 19+ */
   color: #000;
  opacity: 1;
}
:-moz-placeholder { /* Firefox 4 - 18 */
  color: #000; 
}
a.elementor-button.elementor-button-link {
    background: transparent;
}
.c-form .et-pb-contact-message li {
    color: #ff0000;
}
/**===**/
.csstransitions a, header.et-l.et-l--header div.et_pb_section.et_pb_section_0_tb_header.change-bg-color, header.et-l.et-l--header div.et_pb_section.et_pb_section_0_tb_header, header.et-l.et-l--header div.et_pb_section.et_pb_section_0_tb_header.change-bg-color .et_pb_column_2_tb_header, .et_pb_image_wrap  img {
    -webkit-transition: all 0.3s ease;                  
    -moz-transition: all 0.3s ease;                 
    -o-transition: all 0.3s ease;   
    -ms-transition: all 0.3s ease;          
	transition: all 0.3s ease;
}

/** BUTTON SPACING ====**/
a.et_pb_button {
    padding: 10px 35px !important;
    border: none !important;
}
/** BACK TO TOP=====**/
body .et_pb_scroll_top {
    background-color: #fccf48 !important;
}
/** TRAINGLE ICON ====**/
.sep-icon:after {
    content: '';
    height: 4px;
    width: 5px;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    margin: 0 auto;
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 12px solid #141414;
}

/** HEADER DESIGN =====**/
header.et-l.et-l--header .et_pb_column_0_tb_header{padding:10px 0;}
header.et-l.et-l--header div.et_pb_section.et_pb_section_0_tb_header {
    background-image: radial-gradient(circle at top right, #fec424 27%, #ffffff00 22%) !important;
}
header.et-l.et-l--header div.et_pb_section.et_pb_section_0_tb_header.change-bg-color {
    background: #fec424 !important;
}
header.et-l.et-l--header div.et_pb_section.et_pb_section_0_tb_header.change-bg-color .et_pb_column_2_tb_header{background:transparent !important;border-radius:0 !important;}
.home header.et-l.et-l--header .et_pb_menu_0_tb_header.et_pb_menu ul li a {
    color: #fff !important;
    padding: 0 5px;
}
header.et-l.et-l--header div.et_pb_section.et_pb_section_0_tb_header.change-bg-color .et_pb_menu_0_tb_header.et_pb_menu ul li a{ color: #000 !important;}
.header-info {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.header-info .et_pb_text_inner a {
    color: #000;
}

/** ALL CAROUSEL=====**/
.carousel-grd-text .img_caro_bottom.img_caro_text {
    background-image: linear-gradient(to bottom, rgba(255, 0, 0, 0), rgb(8 8 8));
    left: 0;
    bottom: 0;
}
.divi8_image_carousel_item img {
    border-radius:0 !important;
}

/**02**/
.fp-box .img_caro_outside.img_caro_text {
    left: 2% !important;
    position: relative;
    background: #fff;
    right: 2% !important;
    width: 96%;
    bottom: 40px;
    padding: 15px;
	min-height: 230px;
}
.fp-box .carousel_content {
    background-color: #f5f5f5 !important;
}
.fp-box .img_caro_outside.img_caro_text span:before {
    background: #ffc427;
    width: 4px;
    height: 45px;
    content: '';
    display: block;
    position: absolute;
    left: 3px;
    top: 20px;
}
/**03**/
.testimonial-wrap .carousel_content img {
    display: none;
}
.testimonial-wrap .swiper-slide {
    border: 1px solid #ccc;
    border-radius: 10px;
    padding: 25px;
}
.testimonial-wrap  .social-media-container {
    text-align: left;
    padding: 0;
    margin-left: -5px;
}
.testimonial-wrap ul.social-media {
    display: block;
    margin: 10px 0;
}
.testimonial-wrap span.position_design {
    display: none;
}
.testimonial-wrap .divi8-star-fill:before, .testimonial-wrap .divi8-star_alt:before {
    font-size: 24px;
}
.testimonial-wrap .social-media-container ul li{padding: 0;}
.testimonial-wrap .carousel_content p {
    min-height: 130px;
}
.testimonial-wrap .swiper-slide:before {
    content: '';
    display: block;
    width: 50px;
    height: 50px;
    position: absolute;
    top: 25px;
    left: 30px;
    background: url(/beamline-steel/wp-content/uploads/2025/03/t-icon.jpg);
    background-repeat: no-repeat;
}

.testimonial-wrap .swiper-slide {
    padding-top: 75px;
}

/** GET IN TOUCH=====**/
.get-in .et_pb_button_module_wrapper {
    display: inline-block;
    padding: 0 5px;
}

/** SERVICES=====**/
.ser-acc img {
    border-radius: 0 !important;
    border: 1px solid #e5e5e5;
}

/** ABOUT US=====**/
.list-item {
    background-position: 0 4px !important;
}
.list-item strong {
    font-size: 18px;
}
.list-item a {
    color: #0e0e0e;
}
/** PROJECT =====**/
.project-portfolio .mfp-title{display:none !important;}
.et_pb_filterable_portfolio .et_pb_portofolio_pagination, .et_pb_gallery .et_pb_gallery_pagination{border:none !important;}


/** FOOTER==============================**/
footer.et-l.et-l--footer .et_pb_menu__menu nav.et-menu-nav, footer.et-l.et-l--footer .et-menu.nav {
    display: block !important;
}
footer.et-l.et-l--footer .et_pb_menu__wrap {
    flex: inherit !important;
}
footer.et-l.et-l--footer  .et_mobile_nav_menu {
    display: none !important;
}
footer.et-l.et-l--footer li {
    line-height: 22px;
}
.contact-info .et_pb_module.et_pb_text {
    background-position: 0 7px;
}

footer.et-l.et-l--footer .et_pb_contact p input, footer.et-l.et-l--footer .et_pb_contact p textarea, footer.et-l.et-l--footer .et_pb_subscribe .et_pb_contact_field input, footer.et-l.et-l--footer .et_pb_subscribe .et_pb_contact_field textarea
{
    border: 1px solid #3b3b3b !important;}
footer.et-l.et-l--footer .et_pb_contact p textarea, footer.et-l.et-l--footer .et_pb_subscribe .et_pb_contact_field textarea
{
	min-height: 100px;
}

footer.et-l.et-l--footer  .et_pb_contact_reset, .et_pb_contact_submit:hover {
    background: #ffffff !important;
    color: #000 !important;
}

.et-pb-contact-message {
    color: #fff;
    font-size: 12px;
}
.c-form .et-pb-contact-message p {
    color: #000;
}
.et-pb-contact-message li {
    display: inline-block;
    list-style: none;
    padding: 0 5px 0 0;
	color:#ffcb34;
}

.et-pb-contact-message ul {
    margin: 0;
    padding: 0;
}

.mfp-iframe-holder .mfp-close, .mfp-image-holder .mfp-close, .mfp-arrow{opacity:1 !important;}

#main-content button.et_pb_contact_submit.et_pb_button:hover {
    background-color: #0a0008 !important;
}
/**RESPONSIVE DESIGN =======================================*
=======================================***/

header.et-l.et-l--header nav.et-menu-nav .faq-tab {
    display: none;
}

.rp-gallery .et_pb_gallery_image {
    height: 305px;
    overflow: hidden;
}
@media screen and (min-width: 2000px) {
	.et_pb_section_1.sec-01{    top: -150px;}
}
@media screen and (max-width: 1540px) {
    header.et-l.et-l--header .et_pb_row {
    max-width: 100%;
    width: 95%;
}
header.et-l.et-l--header  .et_pb_column_0_tb_header {
    width: 15% !important;
}
header.et-l.et-l--header  .et_pb_column_2_tb_header {
    width: 35% !important;
}
	.home .et_pb_fullwidth_header .et_pb_fullwidth_header_container{width: 95%;}
	.fp-box .img_caro_outside.img_caro_text{min-height:250px;}
            }

@media screen and (max-width: 1260px) {
header.et-l.et-l--header, header.et-l.et-l--header li, header.et-l.et-l--header li a {
    font-size: 14px !important;
}
header.et-l.et-l--header .et_pb_column_2_tb_header {
        width: 40% !important;
    }
   }
@media only screen and (max-width: 1180px) {
	footer.et-l.et-l--footer .et_pb_column_1_tb_footer{height:320px;padding-left:0;}
	footer.et-l.et-l--footer .et_pb_column_0_tb_footer, footer.et-l.et-l--footer .et_pb_column_1_tb_footer, footer.et-l.et-l--footer .et_pb_column_2_tb_footer, footer.et-l.et-l--footer .et_pb_column_3_tb_footer {
    width: 47% !important;
}
	footer.et-l.et-l--footer .et_pb_contact p textarea, footer.et-l.et-l--footer .et_pb_subscribe .et_pb_contact_field textarea {
    margin-bottom: 20px !important;
}
	
}
@media screen and (max-width: 1160px) {	
		.home .testimonial-wrap .swiper-slide {
    height: 500px !important;
}
}
@media only screen and (max-width: 1124px) {
    .mob-menu-logo-holder {
        margin-top: 9px !important;
    }
	.mobmenu-content li.current-menu-item a {
    background: #000;
    color: #fec424 !important;
    }
	    header.et-l.et-l--header .et_pb_section_0_tb_header {
        top: 0 !important;
        position: absolute !important;
    }
	    header.et-l.et-l--header .et_pb_column_0_tb_header {
        width: 100% !important;
			text-align:center;
    }
	header.et-l.et-l--header .et_pb_column_2_tb_header{display:none;}
	header.et-l.et-l--header .et_pb_column_0_tb_header img {
    width: 185px;
    padding-top: 15px;
}
	header.et-l.et-l--header div.et_pb_section.et_pb_section_0_tb_header {
    background: transparent !important;
}

	.mob-menu-header-holder {
    border-bottom: 1px solid #111;
}
	.mobmenu-left-panel .mob-cancel-button {
        margin-top: 10px;
    }
	header.et-l.et-l--header .et_pb_row{width:80%;}
    .home header.et-l.et-l--header .et_pb_row {
        max-width: 100%;
        width: 100%;
        padding: 0 30px !important;
    }
	
	.process-section .et_pb_module.et_pb_image.et_pb_image_4.et_had_animation {
    padding-right: 65px;
}
	.pbg-section.et_pb_section.et_pb_section_3.et_pb_with_background.et_section_regular {
    background-size: 46%;
    background-position: left;
}
}
@media screen and (max-width: 1024px) {
	.para-section .et_pb_column {
    width: 100% !important;
    margin-right: 0;
}
	    .fp-box .img_caro_outside.img_caro_text {
        min-height: 300px;
    }
	
	
}
@media only screen and (max-width: 1024px) and (min-width: 981px)  {
	h1, h1.et_pb_contact_main_title, .et_pb_title_container h1, h2, h3, h4 {
    font-size: 32px !important;
}
}
@media screen and (max-width: 1023px) {
	    .fp-box .img_caro_outside.img_caro_text {
        min-height: auto;
	}
}
@media screen and (max-width: 980px) {
.et_pb_fullwidth_header .et_pb_fullwidth_header_container.left .header-content {
    text-align: center;
}
.carousel-grd-text .img_caro_bottom.img_caro_text{ width: 100%;}
.fp-box .img_caro_outside.img_caro_text span:before{content:none;}
.testimonial-wrap .swiper-slide{min-height:350px;}
.et_pb_fullwidth_header .et_pb_fullwidth_header_container .et_pb_button_one {
    margin-right: 0;
}
.testimonial-wrap ul.social-media {
    text-align: center;
    max-width: 100%;
}
	.testimonial-wrap .swiper-slide:before{left:0;right:0;margin:0 auto;}
	footer.et-l.et-l--footer .et_pb_fullwidth_menu .et_pb_menu__menu, footer.et-l.et-l--footer .et_pb_menu .et_pb_menu__menu{display:block;}
		header.et-l.et-l--header .et_pb_column_0_tb_header a {
    display: block;
    text-align: center;
}
	.get-in .et_pb_button_module_wrapper {
    display: block;
    padding: 0 5px;
    width: 100%;
    margin: 20px 0;
}
	.get-in .et_pb_button_module_wrapper a {
    width: 100%;
}
	.home .divi8_image_carousel_1 .carousel_content span {
    padding-top: 15px !important;
    padding-right: 0 !important;
    padding-bottom: 0 !important;
    padding-left: 0 !important;
}
	
}

@media screen and (max-width: 768px) {
    .testimonial-wrap .swiper-slide {
        min-height: 400px;
    }
	.et_pb_module.divi8_image_carousel.divi8_image_carousel_1.fp-box {
    margin: 0 !important;
}
	.et_pb_section.et_pb_section_4.et_pb_with_background.et_section_regular .et_pb_button_2_wrapper {
    margin-top: 0 !important;
}
	
	
}
@media screen and (max-width: 767px) {
    .testimonial-wrap .swiper-slide {
        min-height: auto;
    }
	.page-id-1082 .et_pb_section.et_pb_section_1.et_section_regular h5 {
    font-size: 20px;
}
}
@media only screen and (max-width: 580px) {
    footer.et-l.et-l--footer .et_pb_column_0_tb_footer, footer.et-l.et-l--footer .et_pb_column_1_tb_footer, footer.et-l.et-l--footer .et_pb_column_2_tb_footer, footer.et-l.et-l--footer .et_pb_column_3_tb_footer {
        width: 100% !important;
    }
	footer.et-l.et-l--footer .et_pb_column_1_tb_footer{height:auto;padding-left:0;}
	footer.et-l.et-l--footer .et_pb_column_3_tb_footer {padding-top:35px;}
	    footer.et-l.et-l--footer .f-head p {
        text-transform: uppercase;
        border-top: 1px solid #3b3b3b;
        padding-top: 25px;
    }
footer.et-l.et-l--footer .et_pb_column_0_tb_footer, footer.et-l.et-l--footer .et_pb_column_0_tb_footer .et_pb_image_0_tb_footer {
    text-align: center;
	margin-right:0;
}

footer.et-l.et-l--footer .et_pb_column_0_tb_footer img, footer.et-l.et-l--footer .et_pb_column_0_tb_footer a {
    display: block;
    margin: 0 auto;
}

footer.et-l.et-l--footer .et_pb_column_0_tb_footer span.et_pb_image_wrap {
    text-align: center;
}
footer.et-l.et-l--footer .et_pb_column_0_tb_footer .et_pb_text_inner {
    text-align: center;
}
footer.et-l.et-l--footer .et_pb_column_0_tb_footer  .et_pb_text_inner img {
    display: inline-block !important;
    margin: 0 auto;
}
}